Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.request
Class MultipartRequest

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.ajax4jsf.request.MultipartRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

    public class MultipartRequest

extends javax.servlet.http.HttpServletRequestWrapper

Request wrapper for supporting multipart requests, used for file uploading.

Author:
  Shane Bryzak

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`MultipartRequest(javax.servlet.http.HttpServletRequest request, boolean createTempFiles, int maxRequestSize, java.lang.String uid)`

Method Summary
`void` | `cancel()`
`void` | `clearRequestData()`
`java.lang.String` | `getContentType()`
`java.lang.Object` | `getFile(java.lang.String name)`
`byte[]` | `getFileBytes(java.lang.String name)`
`java.lang.String` | `getFileContentType(java.lang.String name)`
`java.io.InputStream` | `getFileInputStream(java.lang.String name)`
`java.lang.String` | `getFileName(java.lang.String name)`
`int` | `getFileSize(java.lang.String name)`
`java.lang.String` | `getHeader(java.lang.String name)`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Map` | `getParameterMap()`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`java.lang.Integer` | `getSize()`
`protected java.lang.String` | `getUploadId()`
`java.util.List<org.richfaces.model.UploadItem>` | `getUploadItems()`
`boolean` | `isDone()`
`boolean` | `isFormUpload()`
`boolean` | `isStopped()`
`static MultipartRequest` | `lookupRequest(javax.faces.context.FacesContext context, java.lang.String uploadId)`
`void` | `parseRequest()`
`void` | `stop()`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getContextPath, getCookies, getDateHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Constructor Detail

### MultipartRequest

    public MultipartRequest(javax.servlet.http.HttpServletRequest request,
                            boolean createTempFiles,
                            int maxRequestSize,
                            java.lang.String uid)

Method Detail

### cancel

    public void cancel()

### parseRequest

    public void parseRequest()

### lookupRequest

    public static MultipartRequest lookupRequest(javax.faces.context.FacesContext context,
                                                 java.lang.String uploadId)

### getSize

    public java.lang.Integer getSize()

### getParameterNames

    public java.util.Enumeration getParameterNames()

  Specified by:
    `getParameterNames` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterNames` in class `javax.servlet.ServletRequestWrapper`

### getFileBytes

    public byte[] getFileBytes(java.lang.String name)

### getFileInputStream

    public java.io.InputStream getFileInputStream(java.lang.String name)

### getFileContentType

    public java.lang.String getFileContentType(java.lang.String name)

### getFile

    public java.lang.Object getFile(java.lang.String name)

### getFileName

    public java.lang.String getFileName(java.lang.String name)

### getFileSize

    public int getFileSize(java.lang.String name)

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  Specified by:
    `getParameter` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameter` in class `javax.servlet.ServletRequestWrapper`

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Specified by:
    `getParameterValues` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterValues` in class `javax.servlet.ServletRequestWrapper`

### getParameterMap

    public java.util.Map getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterMap` in class `javax.servlet.ServletRequestWrapper`

### getUploadItems

    public java.util.List<org.richfaces.model.UploadItem> getUploadItems()

### isFormUpload

    public boolean isFormUpload()

### getHeader

    public java.lang.String getHeader(java.lang.String name)

  Specified by:
    `getHeader` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

### stop

    public void stop()

### isStopped

    public boolean isStopped()

### isDone

    public boolean isDone()

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getContentType` in class `javax.servlet.ServletRequestWrapper`

### getUploadId

    protected java.lang.String getUploadId()

### clearRequestData

    public void clearRequestData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.